Python modules
==============

This modules are provided with the library to ease the interoperability between I/O
of the Fortran library with python scripting

Utils module
------------

.. automodule:: futile.Utils
    :members: 
    :undoc-members:
    :show-inheritance:

YamlIO module
-------------

.. automodule:: futile.YamlIO
    :members: load, dump, clean_logfile
    :undoc-members:
    :show-inheritance:

Inputvars module
----------------

.. automodule:: futile.Inputvars
    :members:
    :undoc-members:
    :show-inheritance:

ArgParse module
----------------

.. automodule:: futile.YamlArgparse
    :members:
    :undoc-members:
    :show-inheritance:


Figures module
--------------

.. automodule:: futile.Figures
    :members:
    :undoc-members:
    :show-inheritance:

Time module
-------------------

.. automodule:: futile.Time
    :members:
    :undoc-members:
    :show-inheritance:
